<?php
require 'controller/start_process.php';

/* Вывод фатальных ошибок и завершение работы */
if (!empty ($result['fatalErrors']))
{
$gcSmarty->assign ('errors', $result['fatalErrors']);
$gcSmarty->display ('errors_list.tpl');
require ("cms/$gc_cms/foot.php");
exit ();
}

/* Определяем последнюю посещенную комнату */
if (!empty ($_GET['room_id']))
$_SESSION['gc_last_room'] = (int) $_GET['room_id'];

if (isset ($preventing_output))
{
}
else
{
	/* Уведомление о новой версии */
	if (!empty ($result['clientVersion']) && $result['clientVersion'] !== $gc_client_version && defined ('GC_USER_ADMIN'))
	echo "<div class='".($gc_browser_type == 'web' ? DIV_C_MSG : DIV_M_MSG)."'>Вышла новая версия GlobalChat<br />
	Скачать с <a href='http://globalscripts.ru'>GlobalScripts.ru</a></div>";

	/* Вывод квик-сообщений */
	if (!empty ($result['quickMsg']))
	{
	$gcSmarty->assign ('quickMsg', $result['quickMsg']);
		if ($gc_browser_type == 'web')
		$gcSmarty->display ('ajax_chat_quick_msg.tpl');
		else
		$gcSmarty->display ('quick_msg.tpl');
	}
	
	/* Вывод ошибок */
	if (!empty ($result['errors']))
	{
	$gcSmarty->assign ('errors', $result['errors']);
	$gcSmarty->display ('errors_list.tpl');
	}

	/* Вывод помощи */
	if (!empty ($_GET['help']))
	{
	$gcSmarty->assign ('help', htmlspecialchars ($_GET['help']));
	$gcSmarty->display ('help.tpl');
	}

	/* Вывод сообщений успешного завршения */
	if (!empty ($_GET['success']))
	{
	$gcSmarty->assign ('success', htmlspecialchars ($_GET['success']));
	$gcSmarty->display ('success.tpl');
	}

/* Подключаем постоянные javascripts */
$gcSmarty->display ('javascripts_includes.tpl');
}

if (!defined ('TIME'))
define ('TIME', time ());