<?php
/* Модуль установки написан в процедурном стиле */
session_start ();
ob_start ();
?>
<html>
<head>
<title>Установка GlobalChat</title>
<style>
a:link, a:active, a:visited
{
color: #7A7A7A;
text-decoration: none;
border-bottom: 1px #a2c873 dotted;
}
</style>
</head>
<body>
<?php
/* Вывод иконки	 */
function icon ($icon, $link = null)
{
if ($link == null)
	return '<img src="../icons/'.$icon.'.png" alt="'.$icon.'" />';
	else
	return '<a href="'.$link.'"><img src="../icons/'.$icon.'.png" alt="'.$icon.'" /></a>';
}
	
function permissions ($filez)
{
return decoct (@fileperms ($filez)) % 1000;
}

function chmodTest ($df, $chmod, $dirName)
{
global $error;
@list ($f_chmod1,$f_chmod2,$f_chmod3) = str_split (permissions ($df));
@list ($n_chmod1,$n_chmod2,$n_chmod3) = str_split ($chmod);
if ($f_chmod1 < $n_chmod1 || $f_chmod2 < $n_chmod2 || $f_chmod3 < $n_chmod3)
	{
	echo icon ('false')." Поставьте права $n_chmod1$n_chmod2$n_chmod3 на папку папка_чата/$dirName (текущие права: $f_chmod1$f_chmod2$f_chmod3)<br />";
	if ($_SERVER["SERVER_ADDR"] != '127.0.0.1')
	$error = 1;
	}
	else
	{
	echo icon ('true')." Права $n_chmod1$n_chmod2$n_chmod3 на папку папка_чата/$dirName успешно установлены<br />";
	}
}
	
if (isset ($_GET['unset_cms']))
{	
	if (file_exists ('../data/cms.dat'))
	{
	@chmod ('../data/cms.dat', 0777);
	unlink ('../data/cms.dat') OR print ('Невозможно удалить файл папка_чата/data/cms.dat . Сделайте это вручную, если хотите сменить выбранную CMS<br />'); 
	}
}

$ps = &$_SESSION;
if (isset ($_GET['step']))
$ps['step'] = (int) $_GET['step'];
if (!isset ($ps['step']))
$ps['step'] = 1;
$previous = $ps['step'] - 1;
$next = $ps['step'] + 1;
if (isset ($_GET['next']))
$ps['step']++;

if ($ps['step'] == 1)
{
echo icon ('globalchat')."<br />";
echo "Мультифункциональный чат для сайтов на основе JohnCMS, RotorCMS, DCMS. Скрипт имеет централизованную базу данных. Это не очередная программа-пустышка, а проект, разрабатываемый уже более 10 месяцев. GlobalChat 3 значительно расширит функционал вашего сайта, что даст приток новых посетителей и повышение активности пользователей.<br />";
}
elseif ($ps['step'] == 2)
{
echo icon ('globalchat_logo')." Установка прав папок (chmod)<br />";
chmodTest ('../data/', 777, 'data/');
chmodTest ('../view/globalchat/templates_c/', 777, 'view/globalchat/templates_c/');
}
elseif ($ps['step'] == 3)
{
if (!empty ($_GET['cms']))
	{
	$file = @fopen ('../data/cms.dat', 'w+');
	@fwrite ($file, strip_tags ($_GET['cms']));
	@fclose($file);
	if (!$file)
		{
		echo 'Системная папка недоступна к записи. Проверьте права доступа<br />';
		$error = 1;
		}
	}
if (($myCMS = @htmlspecialchars (file_get_contents ('../data/cms.dat'))))
	{
	echo icon ('globalchat_logo')." Платформа сайта $myCMS<br />
	".icon ('edit')." <a href='?unset_cms'>Изменить выбранную CMS</a><br />";
	}
	else
	{
	$error = 1;
	if (empty ($_GET['cms_versions']))
		{
		/* Список доступных платформ */
		echo icon ('globalchat_logo')." <b>Выберите Вашу CMS</b>:<br />
".icon ('johncms')." <a href='?cms_versions=JohnCMS'>JohnCMS</a><br />
".icon ('rotorcms')." <a href='?cms_versions=RotorCMS'>RotorCMS</a><br />
".icon ('dcms')." <a href='?cms_versions=DCMS'>DCMS</a><br />";
		}
		else
		{
		echo icon ('globalchat_logo')." <b>Выберите версию $_GET[cms_versions]</b>:<br />";
		if ($_GET['cms_versions'] == 'DCMS')
			{
			/* Список платформ DCMS */
			echo icon ('point')."<a href='?cms=DCMS 6'>DCMS 6.6.4</a><br />
	".icon ('point')."<a href='?cms=DCMS 6'>DCMS 6.7.6</a><br />
	".icon ('point')."<a href='?cms=DCMS 6'>DCMS 6.7.7</a><br />
	".icon ('point')."<a href='?cms=DCMS 7'>DCMS 7</a><br />";
			}
			elseif ($_GET['cms_versions'] == 'JohnCMS')
			{
			/* Список платформ JohnCMS */
			echo icon ('point')."<a href='?cms=JohnCMS 3'>JohnCMS 3.2.2</a><br />
	".icon ('point')."<a href='?cms=JohnCMS 4'>JohnCMS 4.4</a><br />
	".icon ('point')."<a href='?cms=JohnCMS 4'>JohnCMS 4.5</a><br />";
			}
			elseif ($_GET['cms_versions'] == 'RotorCMS')
			{
			echo icon ('point')."<a href='?cms=RotorCMS 3'>RotorCMS 3.0</a><br />
			".icon ('point')."<a href='?cms=RotorCMS 3'>RotorCMS 3.3</a><br />";
			}
		echo "<a href='?step=3'>&laquo; Вернуться к списку CMS</a><br />";
		}
	}
}
elseif ($ps['step'] == 4)
{
header ("Location: ../registration.php");
exit ();
}

if (!isset ($exit))
{
if ($ps['step'] > 1)
	echo icon ('previous', "?step=$previous");
echo ' <b>'.$ps['step'].' шаг</b> ';
if (!isset ($error))
	echo icon ('next', "?step=$next");

echo '<br /><a href="/">На главную</a> / <a href="http://globalscripts.ru">GlobalScripts.ru</a> / <a href="http://globalscripts.ru/contacts/">Помощь</a>';
}
?>
</body>
</html>
