<?php

class gcChat
{

	/**
	* ChangeAutoRefreshInterval
	*
	* Изменяет значение интервала автообновления
	*
	* @$interval Интервал автообновления
	*
	* @return integer
	*/

	function changeAutoRefreshInterval ($interval)
	{
	$interval = (int) $interval;
		if (empty ($interval))
		$interval = 10;
	if ($interval < 3)
		$interval = 3;
	$_SESSION['autoupdate_interval'] = $interval;
	}
	
	/**
	* GetAutoRefreshInterval
	*
	* Получить интервал автообновления
	*
	* @return integer
	*/
	
	function getAutoRefreshInterval ()
	{
		if (empty ($_SESSION['autoupdate_interval']))
		$interval = 10;
		else
		$interval = $_SESSION['autoupdate_interval'];
	return intval ($interval);
	}
	
	/**
	* Pagination
	*
	* Выводит панель навигации по страницам
	*
	* @$numberOfPages Количество страниц всего
	* @$currentPage Текущая страница
	*/
	
	function pagination ($link = '?', $numberOfMsgs = 1, $currentPage = 1)
	{
	global $pagination;
	$numberOfPages = ceil ($numberOfMsgs / 10);
		if (empty ($pagination))
		$pagination = null;
		else
		return $pagination;
	$pagination .= "<div class='".DIV_M_PAGINATION."'>";
		if ($currentPage < 1)
		$currentPage = 1;
		if ($currentPage > 2)
		$pagination .= "<a href=\"".$link."page=1\">&lt;&lt;</a> ";
		if ($currentPage > 1)
		$pagination .= "<a href=\"".$link."page=".($currentPage-1)."\">&lt;</a> ";
	$pagination .= " ";

		if ($currentPage != 1)
		$pagination .= "<a href=\"".$link."page=1\">1</a>";else $pagination .= "<b>1</b>";
		for ($ot = -3; $ot<=3; $ot++)
		{
			if ($currentPage+$ot>1 && $currentPage+$ot<$numberOfPages)
			{
				if ($ot==-3 && $currentPage+$ot>2)
				$pagination .= " ..";
				if ($ot!=0)
				$pagination .= " <a href=\"".$link."page=".($currentPage+$ot)."\">".($currentPage+$ot)."</a>";
				else
				$pagination .= " <b>".($currentPage+$ot)."</b>";
				if ($ot==3 && $currentPage + $ot < $numberOfPages - 1)
				$pagination .= " ..";
			}
		}
		if ($currentPage != $numberOfPages)
		$pagination .= " <a href=\"".$link."page=$numberOfPages\">$numberOfPages</a>";
		elseif ($numberOfPages > 1)
		$pagination .= " <b>$numberOfPages</b>";
		if ($currentPage < $numberOfPages)
		$pagination .= " <a href=\"".$link."page=".($currentPage+1)."\">&gt;</a>";
		if ($currentPage < ($numberOfPages - 1))
		$pagination .= " <a href=\"".$link."page=$numberOfPages\">&gt;&gt;</a>";
	$pagination .= '</div>';
		if ($numberOfPages > 1)
		return $pagination;
		else
		return null;
	}
}