<?php
/* Указываем версию установленного клиента */
$gc_client_version = '3.0';

/* Добавляем данные о сервере */
$gc_client_info = array ();
$gc_client_info['site'] = $_SERVER['SERVER_NAME'];
$gc_client_info['key'] = file_get_contents ('data/key.dat');
$gc_client_info['local_ip'] = $_SERVER['SERVER_ADDR'];
$gc_client_info['cms'] = $gc_cms;
$gcProcess->addRequest ('client', $gc_client_info);
unset ($gc_client_info);

/* Добавляем данные о пользователе */
$gc_user_info = array ();
$gc_user_info['local_id'] = GC_USER_ID;
$gc_user_info['nick'] = GC_USER_NICK;
$gc_user_info['sex'] = GC_USER_SEX;
$gc_user_info['ip'] = $_SERVER['REMOTE_ADDR'];
$gc_user_info['second_ip'] = @$_SERVER['HTTP_X_FORWARDED_FOR'];
$gcProcess->addRequest ('user', $gc_user_info);
unset ($gc_user_info);

/* Получение ответа от сервера */
$result = $gcProcess->sendRequest ();

if (empty ($result))
{
echo 'Сервер не ответил вовремя. Пожалуйста, попробуйте снова.';
exit ();
}

if (!empty ($result['authorizationStatus']) && $result['authorizationStatus'] !== 1 && empty ($no_auth_errors))
{
header ("Location: registration.php");
exit ();
}


/* Забиваем частоиспользуемые переменные в Smarty */
if (!empty ($result['usersInfo']))
$gcSmarty->assign ('usersInfo', $result['usersInfo']);
$gcSmarty->assign ('gc_browser_type', $gc_browser_type);