<?php
$gc_title = "Регистрация $_SERVER[SERVER_NAME] в GlobalChat";
$gc_path = pathinfo ($_SERVER['PHP_SELF']);
$no_auth_errors = 1;
require 'controller/prestart.php';
	if (!defined ('GC_USER_ADMIN'))
	die ('Эта страница доступна только администрации');
	
$gcProcess->addRequest ('gcDir', $gc_path['dirname']);

if (!empty ($_GET['action']) && $_GET['action'] == 'synchronize_key')
$gcProcess->addRequest ('action', 'synchronize_key');

if (file_exists ('data/partner_purse.dat'))
$gcProcess->addRequest ('partner_purse', @file_get_contents ('data/partner_purse.dat'));

$gcProcess->requestTo ('registration.php');
require 'controller/start.php';

if (!empty ($_GET['result']))
{
	if ($_GET['result'] == 1)
	{
		if ($result['authorizationStatus'] == 3)
		echo "<div class='err'>Сайт не зарегистрирован. Возможно сервер GlobalChat был не доступен во время проведения оплаты. Обратитесь к администрации GlobalChat (<a href='http://globalscripts.ru'>http://globalscripts.ru</a>)</div>";
		else
		echo "<div class='msg'>Сайт успешно зарегистрирован</div>";
	}
	else
	{
	echo "<div class='err'>Регистрация заврешилась ошибкой. Попробуйте еще раз</div>";
	}
}

if ($result['authorizationStatus'] == 1)
{
echo "<div class='post'><img src='icons/true.png' alt='' /> Сайт зарегистрирован в GlobalChat<br />
<img src='icons/true.png' alt='' /> Ключ для авторизации верный<br />
<a href='index.php'><img src='icons/globalchat_logo.png' alt='' /> Войти в чат</a></div>";
}
elseif ($result['authorizationStatus'] == 2)
{
/* Удаляем неисправный ключ */
file_put_contents ('data/key.dat', '');
	/* При получени нового ключу делаем запись в файл */
	if (!empty ($result['key']))
	{
	file_put_contents ('data/key.dat', $result['key']);
	header ("Location: ?");
	}
echo "<div class='post'><img src='icons/true.png' alt='' /> Сайт зарегистрирован в GlobalChat<br />
<img src='icons/false.png' alt='' /> Отстутствует ключ для авторизации</div>
<form method='post' action='?action=synchronize_key'>
<input type='submit' value='Синхронизировать ключ с GlobalChat' />
</form>";
}
elseif ($result['authorizationStatus'] == 3)
{
echo "<div class='post'><img src='icons/false.png' alt='' /> Необходимо зарегистрировать $_SERVER[SERVER_NAME] в системе GlobalChat</div>
<div class='post'>Регистрация сайта нужна для обеспечения высокого уровня безопасности в дальнейшем использовании GlobalChat.<br /> Пройдя это легкую процедуру, вы защитите все данные ваших пользователей передаваемые по средствам системы GlobalChat.<br />
Стоимость регистрации всего лишь 100 рублей!</div>";
echo "<div class='post'>".htmlspecialchars_decode ($result['payment_form']).'</div>';
}
else
{
echo "<div class='post'>Сервер не ответил</div>";
}

require "cms/$gc_cms/foot.php";