{* Smarty *}

<span id="room_id" style="display: none;">{$roomId}</span>
<script type="text/javascript" src="plugins/ajax_chat.js"></script>

<div id="chat_area" {if $smarty.const.DIV_C_CHAT_AREA}class='{$smarty.const.DIV_C_CHAT_AREA}'{/if} style="margin: 0 auto; width: 100%;">
<table align="center" width='100%'>
<tr>
	<td id="chat_area_left_column" valign="top" width="75%"> <!-- Левая ячейка -->
	<div id="room_data"></div>
		<table id="main_area" height="100%" width="100%"> <!-- Левая таблица-->
			<tr> <!-- Строка с текстом сообщений -->
				<td valign="top" width="100%">
				<div id="msgs_list" style="overflow-y: auto; height: 0px; overflow-x: hidden;" onclick="hide_accelerators ();"></div>
				</td> 
			</tr>
			<tr id="accelerator_panel">
				<td width="100%">
					<div id='smiles_window' style="border-radius: 5px;padding: 0px;position: absolute; display: none;
					background: rgba(255, 255, 255, 0.95); box-shadow: 0px 1px 3px rgba(0, 0, 0, 0.4);"></div>
					<div id='bb_codes_window' style="border-radius: 5px;padding: 0px;position: absolute; display: none;
					color: #666; background: rgba(255, 255, 255, 0.95); box-shadow: 0px 1px 3px rgba(0, 0, 0, 0.4);">
					{include file='ajax_chat_bbcodes_list.tpl'}
					</div>
					<div id='phrases_designer_window' style="border-radius: 5px;padding: 0px; position: absolute; display: none; color: #666; background: rgba(255, 255, 255, 0.95); box-shadow: 0px 1px 3px rgba(0, 0, 0, 0.4);">
					{include file='ajax_chat_phrases_menu.tpl'}
					</div>
				</td>
			</tr>
			<tr id="input_panel"> <!-- Строка с полем ввода -->
				<td> <!-- Форма ввода -->
				<div class="{$smarty.const.DIV_C_MSG_FORM}">
				<table width='100%'>
				<tr>
				<td style="cursor: pointer; margin: 0px;" valign="baseline">
				<button onclick="send_message (); return false;" style="cursor: pointer; margin: 0px 2px 2px 2px;">Отправить</button>
					<span onmousedown="return false;" style="height: 100%">
						<img id='smiles_toggle' src='icons/smile.png' alt='Смайлы' title='Смайлы (нажмите TAB для быстрого доступа)' onclick='smiles_window_toggle ();' valign='baseline' />
						<img id='phrases_designer_toggle' src='icons/dialogue.png' alt='Конструктор фраз' title='Конструктор фраз' onclick='phrases_designer_window_toggle ();' />
						<img id='bb_codes_toggle' src='icons/text_underlined.png' alt='BB-коды' title='BB-коды' onclick='bbcodes_window_toggle ();' />
						<img id='auto_scrolling_toggle' src='icons/scrolling_on.png' alt='Переключатель автоперемотки' title='Переключатель автоперемотки' onclick='auto_scrolling_status_toggle ();' />
						<img id='sound_toggle' src='icons/sound_on.png' alt='Переключатель звука' title='Переключатель звука' onclick='sound_status_toggle ();' />
						<img id='window_attach_toggle' src='icons/attach_on.png' alt='Переключатель окна' title='Переключатель окна' onclick='window_attach_status_toggle ();' />
						<img src='icons/clear.png' alt='Очистка сообщений' title='Очистка сообщений чата' onclick='if (confirm("Очистить сообщения чата?"))clear_chat_msgs ();' />
					</span>
					<span id='last_selected_user' style='display: none;'></span>
					</td>
					</tr>
					<tr>
					<td>
					<textarea style="width: 100%;" id="text_input" name="text_input" rows="2" maxlength="1024"></textarea>
					</td>
					</tr>
					</table>
				</div>
				</td>
			</tr>
		</table>
	</td>
	
	<td valign="top" width="25%"> <!-- Правая ячейка -->
		<table width="100%"> <!-- Правая таблица -->
			{include file='ajax_chat_information_panel.tpl'}
			{include file='ajax_chat_rooms_list.tpl'}
			<tr>
				<td>
					<div class='{$smarty.const.DIV_C_USERS_IN_THE_ROOM}'>
					<img src='icons/point.png' alt='' /> В комнате: <span id='users_in_the_room'>обновляется...</span>
					</div>
				</td>
			</tr>
		</table>
	</td>
</tr>
</table>
</div>